/*
* Skeleton V2.0.4
* Copyright 2014, Dave Gamache
* www.getskeleton.com
* Free to use under the MIT license.
* http://www.opensource.org/licenses/mit-license.php
* 12/29/2014
*/


/* Table of contents
––––––––––––––––––––––––––––––––––––––––––––––––––
- Grid
- Base Styles
- Typography
- Links
- Buttons
- Forms
- Lists
- Code
- Tables
- Spacing
- Utilities
- Clearing
- Media Queries
*/

.container {
   background-color: #f4f45f; 
}

    @media screen and (orientation:portrait) {
        .container {
            height: 100%;
            width: 100%;
            margin: 0 auto;
        }
    }

    @media screen and (orientation:landscape) {
        .container {
            width: 60vh;
            height: 100%;
            margin: 0 auto;
         }
    }


#header {
    height: 5%; 
}

#infodiv {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

#infodiv p {
    margin-top: 1vh;
    line-height: normal;
    font-size: 2.5vh;
    text-transform: none;
    text-align: justify;

}

#infodiv h1 {
    margin-bottom: 0;
    line-height: normal;
}

#infodiv .bigger {
    font-size: 2.8vh;
    text-transform: uppercase;
    text-align: center;
}



#firstvisitplace {
    position: absolute;
    margin-left: auto;
    margin-right: auto;
    font-size: 1.5vh;
    padding: 0.5em;
    background-color: #ff0000;
    z-index: 999;
    color: #f4f45f;
    display: none;
    line-height: normal;
}

#firstvisitplace .close{
    float: right;
    clear: both;
    width: 1.5em;
    height: 2em;
    margin-top: -1.5em;
    text-align: center;
}

#firstvisitplace:before {
content: "";
border: solid 1.5em transparent; /* set all borders to 10 pixels width */
border-top: 0; /* we do not need the top border in this case */
border-bottom-color: #ff0000;
width: 0;
height: 0;
overflow: hidden;
display: block;
position: relative;
top: -1.5em; /* border-width of the :after element + padding of the root element */
margin: auto;
}

#firstvisitplace div {
    width: 100%;
}

#when {
  line-height: 0.1em;
}

#weather {
  line-height: 0;
}

#weatherbox {
    font-size: 3.5vh;
    position: absolute;
    box-sizing: border-box;
    width: 100%;
    border-color: #222222;
    border-style: solid;
    border-width: 0.4vh;
    bottom: 0;
    margin-bottom: 2vh;
    margin-left: 0;
    margin-right: 0;
    padding: 1.5vh 0.5vh 0 0.5vh;
    display: flex;
    justify-content: space-between;
    z-index: 99;
    background-color: #f4f45f; 
}

#weatherbox .unit {

    font-size: 1.3vh;
    text-transform: lowercase;
    text-align: center;
    margin: 0;
}

#weatherbox div {
    text-align: center;
    line-height: normal;
}
#weatherbox div p {
    margin: 0;
    padding: 0;
}

.temperature {
    width: 25%;
    padding: 0;
    font-size: 10px;
    line-height: 1;
    margin: 0;
}

#footer {
    position: absolute;
    bottom: 0.5vh;
    width: 100%;
    font-size: 1vh;
    height: 1vh;
    margin-bottom: 0;
    margin-left: 0;
    margin-right: 0;
    margin-top: 0;
}

#placard {
    display: flex;
    flex-direction: column;
    position: relative;
    width: 90%;
    height: 100%;
    word-wrap: break-word;
    white-space: normal;
    font-family: 'Paytone One', sans-serif;
    text-transform: uppercase;
    padding: 0;
    margin: auto;
    background-color: #f4f45f;
    line-height: 0.75;
}

#placard p {
    margin-bottom: 0.1em;
}

#placardtext {
    margin-bottom: 5vh;
    flex-grow: 0;
    text-align: center;
    /*transform:scale(0.9,1); /* W3C */
    /*line-height: 0.75;*/
    transform-origin: center top;
}

#placardcontent {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

#stretcha {
    transform-origin: left top;
    transform: scale(1,1.2);
}

.next {
    text-transform: none;
    margin-top: 0.75em;
    padding-bottom: 0.5em;
}

.next em {
    text-transform: none;
    font-style: italic;
    text-decoration: underline;

}

.ryck {
    text-transform: none;
    font-style: italic;
    margin-top: 0.75em;
    line-height: 1;
}

#bockruta{
    text-align: left;
    width: 100%;
    float: left;
    background-color: aqua;
}

#extra {
    transform-origin: left top;
    width: 100%;
    float: left;
    clear: none;
    box-sizing: border-box;
}

#wtf {
    position: absolute;
    width: 100%;
    float: left;
    clear: both;
    background-color: aqua;
}

.bockar {
    text-transform: none;
    font-style: italic;
    line-height: 1;
    text-align: left !important;
    margin-top: 0.5em;
}

.röding {
  color: #ff0000;
}

.gröning {
  color: #00BB00 ;
}

.midsommarspecial {
    margin-top: 0.1em;
    margin-bottom: 0.3em;
    color: #006AA7;
}

.dia {
    visibility:visible;
    z-index: 0;
    top: -1em;
    margin-right: 0;
    -webkit-text-stroke-width: 0.025em;
    -webkit-text-stroke-color: #f4f45f;

}

.å {
    margin-left: -0.65em;
}

.ä {
    margin-left: -0.65em;
}

.ö {
    margin-left: -0.69em;
}

.u {
    margin-left: -0.69em;
}


.place {
    margin-top: 0.1em;
    padding-bottom: 0.25em;
    display: inline-block;
    position: relative;
    z-index: 999;
}

.spinner {
    font-size: 5vw;
    text-align: center;
    line-height: 1;
    text-transform: uppercase;
    margin-top: 10vh;
}

.searchcity {
    font-size: 2em;
    text-align: center;
    margin-top: 0.5em;
    text-transform: uppercase;
}

.closesearch {
    margin-top: 3em;
    font-size: 3vh;
}

#instalogo {
    background-color: #f4f45f;
    font-family: 'Yeseva One', serif;
    border-radius: 50%;
    width: 50vw;
    height: 50vw;
    align-content: center;
    text-align: center;
    margin: auto;
    font-size: 30vw;
    box-sizing: padding-box;
    
}

#instalogo p {
    margin-left: auto;
    margin-right: auto;
    line-height: 1.7;

}

#logo {
    font-family: 'Yeseva One', serif;
    text-align: center;
    width: 100%;
    margin-top: 0.75em;
    margin-bottom: 0.5em;
    padding-top: 0;
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 0;
}

#logo p {
    box-sizing: padding-box;
    margin-top: 0;
    margin-bottom: 0;
    flex-grow: 0;
    color: #f4f45f;
    padding-top: 0.30em;
    padding-bottom: 0.10em;
    
    padding-right: 0.25em;
    padding-left: 0.25em;
    
    background-color: #ff0000;
    
    /*text-decoration: underline;*/

}

.fittext {
    margin-bottom: 2.5vh;
    text-align: center;
}

#searchdiv {
    width: 100%;
    text-align: center;
    margin-top: 1em;
}

#searchbutton{
    width: 6vw;
    background-color: #222;
    color: #f4f45f;
    border-radius: 0;
    float: left;
    clear: none;
    font-size: 1.5em;
    height: 2.5em; 
    margin-left: 0.5vw;
    margin-bottom: 0;
    margin-right: 0;
    margin-top: 0;
    
    outline-color: transparent;
    padding: 0;
    outline-style: dashed;
}

#searchbutton:focus {
  outline-color: transparent;
  outline: none;
}

#searchresults {
    background-color: transparent;
}

#place {
  text-decoration: underline;  
  text-align: center;
  z-index: 999;
}

/* Base Styles
–––––––––––––––––––––––––––––––––––––––––––––––––– */
/* NOTE
html is set to 62.5% so that all the REM measurements throughout Skeleton
are based on 10px sizing. So basically 1.5rem = 15px :) */
html {
  font-size: 62.5%; }
body {
  font-size: 1.5em; /* currently ems cause chrome bug misinterpreting rems on body element */
  line-height: 13;
  font-weight: 400;
  font-family: "Raleway", "HelveticaNeue", "Helvetica Neue", Helvetica, Arial, sans-serif;
  color: #222; }


/* Typography
–––––––––––––––––––––––––––––––––––––––––––––––––– */
h1, h2, h3, h4, h5, h6 {
  margin-top: 0;
  margin-bottom: 2rem;
  font-weight: 300; }
h1 { font-size: 4.0rem; line-height: 1.2;  letter-spacing: -.1rem;}
h2 { font-size: 3.6rem; line-height: 1.25; letter-spacing: -.1rem; }
h3 { font-size: 3.0rem; line-height: 1.3;  letter-spacing: -.1rem; }
h4 { font-size: 2.4rem; line-height: 1.35; letter-spacing: -.08rem; }
h5 { font-size: 1.8rem; line-height: 1.5;  letter-spacing: -.05rem; }
h6 { font-size: 1.5rem; line-height: 1.6;  letter-spacing: 0; }

/* Larger than phablet */
@media (min-width: 550px) {
  h1 { font-size: 5.0rem; }
  h2 { font-size: 4.2rem; }
  h3 { font-size: 3.6rem; }
  h4 { font-size: 3.0rem; }
  h5 { font-size: 2.4rem; }
  h6 { font-size: 1.5rem; }
}

p {
    margin-top: 0; 
    margin-bottom: 0;
    }

u {
    border-bottom: 1.4em;
    border-bottom-style: solid;
    border-bottom-width: thick;
    border-bottom-color: #ff0000;
    display: inline-block;
    line-height: 0.95;
    text-decoration: none;
}

em {
    color: #ff0000;
}


/* Links
–––––––––––––––––––––––––––––––––––––––––––––––––– */
a {
  color: #222; }
a:hover {
  color: #444; }


/* Buttons
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.button,
button,
input[type="submit"],
input[type="reset"],
input[type="button"] {
  display: inline-block;
  padding: 0 0.15em;
  text-align: center;
  white-space: nowrap;
  background-color: transparent;
  border-radius: 0px;
  border: 0 solid #222;
  cursor: pointer; 
  box-sizing: border-box;
}
.button:hover,
button:hover,
input[type="submit"]:hover,
input[type="reset"]:hover,
input[type="button"]:hover,
.button:focus,
button:focus,
input[type="submit"]:focus,
input[type="reset"]:focus,
input[type="button"]:focus {
  color: #222;
  border-color: #222;
  outline: 0; }
.button.button-primary,
button.button-primary,
input[type="submit"].button-primary,
input[type="reset"].button-primary,
input[type="button"].button-primary {
  color: #FFF;
  background-color: #33C3F0;
  border-color: #222; }
.button.button-primary:hover,
button.button-primary:hover,
input[type="submit"].button-primary:hover,
input[type="reset"].button-primary:hover,
input[type="button"].button-primary:hover,
.button.button-primary:focus,
button.button-primary:focus,
input[type="submit"].button-primary:focus,
input[type="reset"].button-primary:focus,
input[type="button"].button-primary:focus {
  color: #FFF;
  background-color: #1EAEDB;
  border-color: #222; }


/* Forms
–––––––––––––––––––––––––––––––––––––––––––––––––– */
input[type="email"],
input[type="number"],
input[type="search"],
input[type="text"],
input[type="tel"],
input[type="url"],
input[type="password"],
textarea,
select { 
    float: left;
    border-width: 0.15em;
    width: calc(100% - 0.3em - 0.50em);
    border-style: solid;
    border-radius: 0;
    border-color: #222;
    background-color: transparent;
    font-size: 2em;
    padding: 0.25em;
    font-family: inherit;
    margin-left: 0;
    margin-top: 0;
    margin-right: 0;
    margin-bottom: 0.25em;
    text-transform: uppercase;
   }
/* Removes awkward default styles on some inputs for iOS */
input[type="email"],
input[type="number"],
input[type="search"],
input[type="text"],
input[type="tel"],
input[type="url"],
input[type="password"],
textarea {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;}
textarea {
  min-height: 65px;
  padding-top: 6px;
  padding-bottom: 6px; }
input[type="email"]:focus,
input[type="number"]:focus,
input[type="search"]:focus,
input[type="text"]:focus,
input[type="tel"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
textarea:focus,
select:focus {
        outline: none;
}
label,
legend {
  display: block;
  margin-bottom: .5rem;
  font-weight: 600; }
fieldset {
  padding: 0;
  border-width: 0; }
input[type="checkbox"],
input[type="radio"] {
  display: inline; }
label > .label-body {
  display: inline-block;
  margin-left: .5rem;
  font-weight: normal; }


/* Lists
–––––––––––––––––––––––––––––––––––––––––––––––––– */
ul {
  list-style: circle inside; }
ol {
  list-style: decimal inside; }
ol, ul {
  padding-left: 0;
  margin-top: 0; }
ul ul,
ul ol,
ol ol,
ol ul {
  margin: 1.5rem 0 1.5rem 3rem;
  font-size: 90%; }
li {
  margin-bottom: 1rem; }


/* Code
–––––––––––––––––––––––––––––––––––––––––––––––––– */
code {
  padding: .2rem .5rem;
  margin: 0 .2rem;
  font-size: 90%;
  white-space: nowrap;
  background: #F1F1F1;
  border: 1px solid #E1E1E1;
  border-radius: 4px; }
pre > code {
  display: block;
  padding: 1rem 1.5rem;
  white-space: pre; }


/* Tables
–––––––––––––––––––––––––––––––––––––––––––––––––– */
th,
td {
  padding: 12px 15px;
  text-align: left;
  border-bottom: 1px solid #E1E1E1; }
th:first-child,
td:first-child {
  padding-left: 0; }
th:last-child,
td:last-child {
  padding-right: 0; }


/* Spacing
–––––––––––––––––––––––––––––––––––––––––––––––––– */
button,
.button {
  margin-bottom: 1rem; }
input,
textarea,
select,
fieldset {
  margin-bottom: 1.5rem; }
pre,
blockquote,
dl,
figure,
table,
p,
ul,
ol,
form {
  margin-bottom: 2.5rem; }


/* Utilities
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.u-full-width {
  width: 100%;
  box-sizing: border-box; }
.u-max-full-width {
  max-width: 100%;
  box-sizing: border-box; }
.u-pull-right {
  float: right; }
.u-pull-left {
  float: left; }


/* Misc
–––––––––––––––––––––––––––––––––––––––––––––––––– */
hr {
  margin-top: 0;
  margin-bottom: 0.8em;
  border-width: 0;
  border-top: 1px solid #222; }


/* Clearing
–––––––––––––––––––––––––––––––––––––––––––––––––– */

/* Self Clearing Goodness 
.container:after,
.row:after,
.u-cf {
  content: "";
  display: table;
  clear: both; }*/


/* Media Queries
–––––––––––––––––––––––––––––––––––––––––––––––––– */
/*
Note: The best way to structure the use of media queries is to create the queries
near the relevant code. For example, if you wanted to change the styles for buttons
on small devices, paste the mobile query code up in the buttons section and style it
there.
*/


/* Larger than mobile */
@media (min-width: 400px) {}

/* Larger than phablet (also point when grid becomes active) */
@media (min-width: 550px) {}

/* Larger than tablet */
@media (min-width: 750px) {}

/* Larger than desktop */
@media (min-width: 1000px) {}

/* Larger than Desktop HD */
@media (min-width: 1200px) {}
